package com.bytedance.android.livesdk.container.config.live;

import X.C5181HfK;
import X.M12;
import com.bytedance.covode.number.Covode;

public final class LivePageConfig extends LiveHybridConfig {
    @C5181HfK(LIZ = "soft_input_mode")
    public String softInputMode = "adjustNothing";

    static {
        Covode.recordClassIndex(15514);
    }

    public final String getSoftInputMode() {
        return this.softInputMode;
    }

    public final void setSoftInputMode(String str) {
        M12.LIZ(str);
        this.softInputMode = str;
    }
}
